- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QSignalTransition Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qsignaltransition.h.

`#include <qsignaltransition.h>`

Inheritance diagram for QSignalTransition:
[legend]

List of all members.

## Public Member Functions
| QSignalTransition (QState *sourceState=0)
| QSignalTransition (QObject *sender, const char *signal, QState *sourceState=0)
| ~QSignalTransition ()
QObject * | senderObject () const
void | setSenderObject (QObject *sender)
QByteArray | signal () const
void | setSignal (const QByteArray &signal)
## Protected Member Functions
bool | eventTest (QEvent *event)
void | onTransition (QEvent *event)
bool | event (QEvent *e)
## Properties
QObject | senderObject
QByteArray | signal

## Constructor & Destructor Documentation

QSignalTransition | ( | QState * | sourceState = `0` | ) |

QSignalTransition | ( | QObject * | sender,
|  | const char * | signal,
|  | QState * | sourceState = `0`
| ) |  |

~QSignalTransition | ( |  | ) |

## Member Function Documentation

QObject* senderObject | ( |  | ) | const

Search for all occurrences

void setSenderObject | ( | QObject * | sender | ) |

Search for all occurrences

QByteArray signal | ( |  | ) | const

Search for all occurrences

void setSignal | ( | const QByteArray & | signal | ) |

Search for all occurrences

bool eventTest | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractTransition.

void onTransition | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractTransition.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractTransition.

## Property Documentation

QObject senderObject `[read, write]`

Search for all occurrences

Definition at line 59 of file qsignaltransition.h.

QByteArray signal `[read, write]`

Search for all occurrences

Definition at line 60 of file qsignaltransition.h.

The documentation for this class was generated from the following file:

- QtCore/qsignaltransition.h

QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition
QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition QSignalTransition